EdgeCodeSegment (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.model

## Interface EdgeCodeSegment

- All Superinterfaces:
    Component, InterchangeObject, MediaEntity, MetadataObject, Segment
  All Known Implementing Classes:
    EdgeCodeSegmentImpl

      public interface EdgeCodeSegment
      extends Segment

  Specifies the storage of film edge code information.

  See the section on naming conflicts in the package documentation.

  See Also:
    `EdgeCodeValue`, `Forge.makeEdgeCode()`, `Forge.makeEdgeCode(long, tv.amwa.maj.enumeration.FilmType, tv.amwa.maj.enumeration.EdgeType)`, `Forge.makeEdgeCode(long, tv.amwa.maj.enumeration.FilmType, tv.amwa.maj.enumeration.EdgeType, byte[])`, `Forge.makeEdgeCode(long, tv.amwa.maj.enumeration.FilmType, tv.amwa.maj.enumeration.EdgeType, String)`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `EdgeCodeSegment` | `clone()` Create a cloned copy of this edge code segment.
    `EdgeCodeValue` | `getEdgecode()` Returns the edgecode value stored by this edgecode segment.
    `FilmType` | `getEdgeCodeFilmFormat()` Returns the film format of the edge code.
    `EdgeType` | `getEdgeCodeFormat()` Returns the format of the edge code.
    `byte[]` | `getEdgeCodeHeader()` Returns the text prefix that identifies the film.
    `String` | `getEdgeCodeHeaderAsString()` Returns the text prefix the identifies the film as a string value.
    `long` | `getEdgeCodeStart()` Returns the edge code at the beginning of the corresponding segment.

    - ### Methods inherited from interface tv.amwa.maj.model.Segment

      `generateSequence, segmentOffsetToTC, segmentTCToOffset`

    - ### Methods inherited from interface tv.amwa.maj.model.Component

      `appendComponentAttribute, appendComponentAttribute, appendComponentKLVData, appendComponentUserComment, appendComponentUserComment, clearComponentAttributes, clearComponentKLVData, clearComponentUserComments, countComponentAttributes, countComponentKLVData, countComponentUserComments, getComponentAttributes, getComponentDataDefinition, getComponentKLVData, getComponentLength, getComponentUserComments, getLengthPresent, removeComponentAttribute, removeComponentKLVData, removeComponentUserComment, setComponentDataDefinition, setComponentLength, setLengthPresent`

    - ### Methods inherited from interface tv.amwa.maj.model.InterchangeObject

      `addApplicationPlugin, clearApplicationPlugins, containsApplicationPlugin, containsApplicationPlugin, countApplicationPlugins, deepEquals, disableGenerationTracking, enableGenerationTracking, equals, getApplicationPlugins, getGeneration, getLinkedGenerationID, getObjectClass, isGenerationTracked, removeApplicationPlugin, removeApplicationPlugin, setLinkedGenerationID, setObjectClass, toString`

    - ### Methods inherited from interface tv.amwa.maj.industry.MediaEntity

      `getPersistentID, setPersistentIndex`

- - ### Method Detail

    - #### getEdgecode

          EdgeCodeValue getEdgecode()

      Returns the edgecode value stored by this edgecode segment.

      Returns:
        Edgecode value of this edgecode segment.
      See Also:
        `getEdgeCodeFormat()`, `getEdgeCodeFilmFormat()`, `getEdgeCodeStart()`, `getEdgeCodeHeader()`, `getEdgeCodeHeaderAsString()`

    - #### getEdgeCodeFormat

          EdgeType getEdgeCodeFormat()

      Returns the format of the edge code.

      Returns:
        Format of the edge code.
      See Also:
        `getEdgecode()`, `EdgeType`

    - #### getEdgeCodeFilmFormat

          FilmType getEdgeCodeFilmFormat()

      Returns the film format of the edge code.

      Returns:
        Film format for this edge code.
      See Also:
        `getEdgecode()`, `FilmType`

    - #### getEdgeCodeHeader

          @EdgecodeHeader
          byte[] getEdgeCodeHeader()
                                            throws PropertyNotPresentException

      Returns the text prefix that identifies the film. Typically, this is a text string of no more than 8 7-bit ISO characters. This is an optional property.

      Returns:
        Text prefix that identifies the film.
      Throws:
        `PropertyNotPresentException` - The optional header property is not present for this edgecode value.
      See Also:
        `getEdgecode()`, `getEdgeCodeHeaderAsString()`

    - #### getEdgeCodeHeaderAsString

          String getEdgeCodeHeaderAsString()
                                    throws PropertyNotPresentException

      Returns the text prefix the identifies the film as a string value. Typically, this is a text string of no more than 8 7-bit ISO characters. This is an optional property.

      Returns:
        Text prefix that identifies the film as a string.
      Throws:
        `PropertyNotPresentException` - The optional header property is not present for this edgecode value.
      See Also:
        `getEdgecode()`, `getEdgeCodeHeader()`

    - #### getEdgeCodeStart

          @FrameOffset
          long getEdgeCodeStart()

      Returns the edge code at the beginning of the corresponding segment.

      Returns:
        Edge code the the beginning of the corresponding segment.
      See Also:
        `getEdgecode()`

    - #### clone

          EdgeCodeSegment clone()

      Create a cloned copy of this edge code segment.

      Specified by:
        `clone` in interface `Component`
      Specified by:
        `clone` in interface `InterchangeObject`
      Specified by:
        `clone` in interface `MediaEntity`
      Specified by:
        `clone` in interface `Segment`
      Returns:
        Cloned copy of this edge code segment.

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.